name: SN74LXC2T45
# SM8/DCT, VSSOP/DCU, SON/DTT, X2SON/DTM
variations: DCT, DCU, DTT, DTM
description: level-shifter, 2-channel, direction pin
datasheet: https://www.ti.com/lit/gpn/sn74lxc2t45
distributors: LCSC C5217891

pinout:
  A:
    A1-2: 2,3
  B:
   B1-2: 7,6
  VCC:
    VCCA: 1
    VCCB: 8
  GND: 4
  DIR: 5

properties:
  bidir: A, B
  in: DIR
  power: VCC
  ground: GND

schematic:
  symbol: ic
  left: A
  right: B
  top: VCCA,VCCB
  bottom: DIR,GND

housing@DCT: # SM8
  suffix: DCT
  outline: TI DCT-8

housing@DCU: # VSSOP
  suffix: DCU
  outline: TI DCU-8

housing@DTT: # SON
  suffix: DTT
  outline: TI DTT-8

housing@DTM: # X2SON
  suffix: DTM
  outline: TI DTM-8
